# AWS IAM CI user

This module creates and manages an IAM user in a root AWS account and its
corresponding roles in sub-accounts.

It provides a default set of policies allowing my Forgejo workflows to run tests
and continuous integration tasks on AWS.

## Usage example

``` hcl
module "aws_iam_ci_user" {
  source = "git::ssh://git@git.adyxax.org/adyxax/tofu-module-aws-iam-ci-user?depth=1&ref=1.0.1"

  core_policy_statements = jsonencode([
    {
      Action   = "route53:*"
      Effect   = "Allow"
      Resource = "*"
    }
  ])
  name = local.name
  tests_policy_statements = jsonencode([
    {
      Action   = "acm:*"
      Effect   = "Allow"
      Resource = "*"
    },
  ])
}
```
